package com.css.simulation.oauth.server.cofiguration.security;

import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Component;

@Component
public class MyPasswordEncoder implements PasswordEncoder {

    @Override
    public String encode(CharSequence charSequence) {
        return charSequence.toString();
    }


    @Override
    public boolean matches(CharSequence rawPassword, String encodePassword) {
        return encodePassword.equals(rawPassword.toString());
    }
}
